{% extends 'base.html'%}
{% load markdownify %}
{% block content %} {% comment %}
do I need markdownify? {% endcomment %}

<main class="recipe-detail">
  <div>
    <a href="{% url 'recipe_edit' recipe.id %}">Edit</a>
    <a href="{% url 'recipe_delete' recipe.id %}">Delete</a>
  </div>
  {% if recipe.image %}
  <img src="{{ recipe.image }}" class="pull-right" />
  {% endif %}
  <h1>{{ recipe.name }}</h1>
  <h2>by: {{ recipe.author | default_if_none:"Unknown" }}</h2>
  <p>Created on {{ recipe.created }} | Updated on {{ recipe.updated }}</p>
  {% if recipe.servings %}
  <p>Serves {{recipe.servings}}</p>
    <form method="GET">
      <input required type = "number" name="servings">
        <button>Resize</button>
    </form>
  {% endif %}
  <form method="post" action="{% url 'recipe_rating' recipe.id %}">
    {% csrf_token %}
    <div class="rating-form-grid">
      {{ rating_form.as_p }}
      <button class="button">Rate</button>
    </div>
  </form>
  <p>Tags: {% for tag in recipe.tags.all %}{{ tag.word }} {% endfor %}</p>
  {{ recipe.description | markdownify }}
  <h2>Ingredients</h2>
  <table>
    <thead>
      <tr>
        <th colspan="2">Amount</th>
        <th>Food item</th>
      </tr>
    </thead>
    <tbody>
      {% for ingredient in recipe.ingredients.all %}
      <tr>
        <td>{{ ingredient.amount }}</td>
        <td>{{ ingredient.measure.name }}</td>
        <td>{{ ingredient.food.name }}</td>
        <td>
          <form method="POST" action="{% url 'shopping_item_create' %}">
            {% csrf_token %}
            <input type = "hidden" name="ingredient_id" value = "{{ingredient.id}}">
            <button>+ shopping list</button>
          <form>
          </td>
      </tr>
      {% endfor %}
    </tbody>
  </table>
  <h2>Steps</h2>
  <ol>
    {% for step in recipe.steps.all %}
    <li>{{ step.directions }}</li>
    {% endfor %}
  </ol>
</main>
{% endblock content %}
